void *handlep;                /* handle used internally   */
struct netconfig *netconfigp; /* info about provider      */

/*
 *  Initialize the Network Selection routines.
 */

if ((handlep = setnetconfig()) == NULL) {
    nc_perror(argv[0]);
    exit(1);
}


/*
 *  Loop through all entries in /etc/netconfig looking for
 *  a connection-oriented transport provider.  With this
 *  loop, the NETPATH variable is ignored and all entries
 *  are retrieved.
 */

while ((netconfigp = getnetconfig(handlep)) != NULL) {
    /*
     *  At this point, netconfigp points to a netconfig
     *  structure that describes an entry in /etc/netconfig.
     *  Check if it is connection-oriented (or connection-
     *  oriented with orderly release).  If it is, call
     *  doit() to perform the TLI operations for the
     *  transport provider and implement the application.
     */

    if (netconfigp->nc_semantics == NC_TPI_COTS ||
        netconfigp->nc_semantics == NC_TPI_COTS_ORD) {
          printf("Attempting to use %s\n",
                   netconfigp->nc_netid);
          if (doit(netconfigp) == SUCCESS) {
              printf("Application succeeded\n");
              break;
          }
          printf("Application failed using %s\n",
                   netconfigp->nc_netid);
    }
}

endnetconfig(handlep);
